Manage checks.
Operations
getCheck
Retrieves a check.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CheckGlobalSequenceDatestring · dateoptionalCheckGlobalSequenceintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/check/getCheckPOST /nexum/627/2022.01/check/getCheck HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CheckGlobalSequenceDate": "2026-01-01",
"CheckGlobalSequence": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getCheckSelectFields
Retrieves a check with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CheckGlobalSequenceDatestring · dateoptionalCheckGlobalSequenceintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/check/getCheckSelectFieldsPOST /nexum/627/2022.01/check/getCheckSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CheckGlobalSequenceDate": "2026-01-01",
"CheckGlobalSequence": 0,
"SelectableFields": {
"IncludeAllCheckFields": true
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getCheckSelectFieldsFilterChildren
Retrieves a check with selected fields and filtered children.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CheckGlobalSequenceDatestring · dateoptionalCheckGlobalSequenceintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/check/getCheckSelectFieldsFilterChildrenPOST /nexum/627/2022.01/check/getCheckSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CheckGlobalSequenceDate": "2026-01-01",
"CheckGlobalSequence": 0,
"SelectableFields": {
"IncludeAllCheckFields": true
},
"ChildrenSearchFilter": {
"CheckFmHistoryFilter": {
"Query": "string"
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getCheckFmHistoryPagedList
Retrieves a paged list of check FM history.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CheckGlobalSequenceDatestring · dateoptionalCheckGlobalSequenceintegeroptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/check/getCheckFmHistoryPagedListPOST /nexum/627/2022.01/check/getCheckFmHistoryPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CheckGlobalSequenceDate": "2026-01-01",
"CheckGlobalSequence": 0,
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "REPLACE_WITH_YOUR_TOKEN"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getCheckFmHistoryListSelectFields
Retrieves a list of check FM history with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CheckGlobalSequenceDatestring · dateoptionalCheckGlobalSequenceintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/check/getCheckFmHistoryListSelectFieldsPOST /nexum/627/2022.01/check/getCheckFmHistoryListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CheckGlobalSequenceDate": "2026-01-01",
"CheckGlobalSequence": 0,
"SelectableFields": {
"IncludeAllCheckFmHistoryFields": true
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}searchCheckFmHistorySelectFields
Searches check FM history with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CheckGlobalSequenceDatestring · dateoptionalCheckGlobalSequenceintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/check/searchCheckFmHistorySelectFieldsPOST /nexum/627/2022.01/check/searchCheckFmHistorySelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CheckGlobalSequenceDate": "2026-01-01",
"CheckGlobalSequence": 0,
"SelectableFields": {
"IncludeAllCheckFmHistoryFields": true
},
"SearchFilter": {
"Query": "string"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getCheckFmHistoryPagedListSelectFields
Retrieves a paged list of check FM history with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CheckGlobalSequenceDatestring · dateoptionalCheckGlobalSequenceintegeroptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/check/getCheckFmHistoryPagedListSelectFieldsPOST /nexum/627/2022.01/check/getCheckFmHistoryPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CheckGlobalSequenceDate": "2026-01-01",
"CheckGlobalSequence": 0,
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "REPLACE_WITH_YOUR_TOKEN"
},
"SelectableFields": {
"IncludeAllCheckFmHistoryFields": true
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}searchCheckFmHistoryPagedSelectFields
Searches check FM history with pagination and selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CheckGlobalSequenceDatestring · dateoptionalCheckGlobalSequenceintegeroptionalQuerystringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/check/searchCheckFmHistoryPagedSelectFieldsPOST /nexum/627/2022.01/check/searchCheckFmHistoryPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CheckGlobalSequenceDate": "2026-01-01",
"CheckGlobalSequence": 0,
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "REPLACE_WITH_YOUR_TOKEN"
},
"SelectableFields": {
"IncludeAllCheckFmHistoryFields": true
},
"Query": "string",
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}updateCheckByID
Updates a check by ID.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CheckGlobalSequenceDatestring · dateoptionalCheckGlobalSequenceintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/check/updateCheckByIDPOST /nexum/627/2022.01/check/updateCheckByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CheckGlobalSequenceDate": "2026-01-01",
"CheckGlobalSequence": 0,
"CheckUpdatableFields": {
"Type": 0,
"Description": "string"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}createCheck
Creates a new check.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Loading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/check/createCheckPOST /nexum/627/2022.01/check/createCheck HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CheckCreatableFields": {
"Type": 0,
"Description": "string"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}deleteCheck
Deletes a check.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CheckGlobalSequenceDatestring · dateoptionalCheckGlobalSequenceintegeroptionalLoading fields…
symstringrequired- Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.Loading fields…
/nexum/{sym}/2022.01/check/deleteCheckPOST /nexum/627/2022.01/check/deleteCheck HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CheckGlobalSequenceDate": "2026-01-01",
"CheckGlobalSequence": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}